Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.jpd
Enum Version.InvokeStrategy

    java.lang.Object
      java.lang.Enum<Version.InvokeStrategy>
          com.bea.wli.jpd.Version.InvokeStrategy

All Implemented Interfaces:
  Serializable, Comparable<Version.InvokeStrategy>

Enclosing class:
  Version

    public static enum Version.InvokeStrategy

extends Enum<Version.InvokeStrategy>

Enum Constant Summary
`LOOSELY_COUPLED`
`TIGHTLY_COUPLED`

Method Summary
`static Version.InvokeStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Version.InvokeStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOOSELY_COUPLED

    public static final Version.InvokeStrategy LOOSELY_COUPLED

### TIGHTLY_COUPLED

    public static final Version.InvokeStrategy TIGHTLY_COUPLED

Method Detail

### values

    public static final Version.InvokeStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Version.InvokeStrategy c : Version.InvokeStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Version.InvokeStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD